<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Request</title>

    <style>
        input, button, select {
                width: 300px;
                height: 30px;
            }

        select {
                width: 200px;
                height: 30px;
            }





    </style>
</head>
<body>

<div th:replace="fragments/header :: header"></div>


<div sec:authorize="hasRole('ROLE_DISPATCHER')">

    <h1>DISPATCHER PAGE</h1>

    <p><a th:href="@{/flights}">Flights</a></p>

    <p><a th:href="@{/requests}">Request</a></p>

    <div align="center">

        <h2 th:text="'Request for flight #' + ${flightId}"></h2>

        <form method="post" th:action="@{/flight/{id}/request/add(id=${flightId})}" th:object="${request}">

            <textarea cols="50" name="description" placeholder="Request" rows="5"></textarea>

            <p>
                <input type="submit" value="submit"/>
            </p>
        </form>

    </div>

    <div th:replace="fragments/footer :: footer"></div>

</body>
</html>